Summary:        Java library to create and apply patches
Name:           java-diff-utils
Version:        4.11
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://java-diff-utils.github.io/java-diff-utils/
Source0:        https://github.com/%{name}/%{name}/archive/%{name}-parent-%{version}.tar.gz

BuildRequires: mvn(org.assertj:assertj-core) mvn(org.junit.jupiter:junit-jupiter) mvn(org.eclipse.jgit:org.eclipse.jgit)
BuildRequires: maven-local mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.maven.surefire:surefire-junit-platform) mvn(org.apiguardian:apiguardian-api)
BuildArch:      noarch

%description
Diff Utils library is an OpenSource library for performing the comparison
operations between texts: computing diffs, applying patches, generating unified
diffs or parsing them, generating diff output for easy future displaying (like
side-by-side view) and so on.

Main reason to build this library was the lack of easy-to-use libraries with all
the usual stuff you need while working with diff files. Originally it was inspired
by JRCS library and it’s nice design of diff module.

%package        parent
Summary:        Java Diff Utils parent POM

%description    parent
This package contains the parent POM for Java Diff Utils.

%package        jgit
Summary:        Java Diff Utils extension using jgit difference algorithms
Requires:       %{name} = %{version}-%{release}

%description    jgit
This package contains an extension to the main package that uses jgit's
difference algorithms.

%{?javadoc_package}

%prep
%autosetup -n %{name}-%{name}-parent-%{version}

%pom_remove_plugin -r :maven-checkstyle-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-java-diff-utils
%license LICENSE

%files parent -f .mfiles-java-diff-utils-parent
%license LICENSE

%files jgit -f .mfiles-java-diff-utils-jgit

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 cunshunxia <cunshunxia@tencent.com> - 4.11-1
- initial build
